xcb_xkb_set_geometry(3)

NAME
xcb_xkb_set_geometry -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_geometry(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint8_t nShapes, uint8_t nSections, xcb_atom_t name, uint16_t widthMM, uint16_t heightMM, uint16_t nProperties, uint16_t nColors, uint16_t nDoodads, uint16_t nKeyAliases, uint8_t baseColorNdx, uint8_t labelColorNdx, xcb_xkb_counted_string_16_t *labelFont, const xcb_xkb_property_t *properties, const xcb_xkb_counted_string_16_t *colors, const xcb_xkb_shape_t *shapes, const xcb_xkb_section_t *sections, const xcb_xkb_doodad_t *doodads, const xcb_xkb_key_alias_t *keyAliases);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

nShapes
    TODO: NOT YET DOCUMENTED.

nSections
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

widthMM
    TODO: NOT YET DOCUMENTED.

heightMM
    TODO: NOT YET DOCUMENTED.

nProperties
    TODO: NOT YET DOCUMENTED.

nColors
    TODO: NOT YET DOCUMENTED.

nDoodads
    TODO: NOT YET DOCUMENTED.

nKeyAliases
    TODO: NOT YET DOCUMENTED.

baseColorNdx
    TODO: NOT YET DOCUMENTED.

labelColorNdx
    TODO: NOT YET DOCUMENTED.

labelFont
    TODO: NOT YET DOCUMENTED.

properties
    TODO: NOT YET DOCUMENTED.

colors
    TODO: NOT YET DOCUMENTED.

shapes
    TODO: NOT YET DOCUMENTED.

sections
    TODO: NOT YET DOCUMENTED.

doodads
    TODO: NOT YET DOCUMENTED.

keyAliases
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_geometry_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.